Summary:	Subtitle editor for the GNOME desktop
Name:		gnome-subtitles
Version:	1.2
Release:	%mkrel 1
URL:		http://gnome-subtitles.sourceforge.net/
Source:		http://downloads.sourceforge.net/%name/%name-%version.tar.gz
License:	GPLv2+
Group:		Video
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.12
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:	pkgconfig(gtk-sharp-2.0) > 2.12.6
BuildRequires:	pkgconfig(mono) >= 1.1
BuildRequires:	gnome-doc-utils
BuildRequires:	mono-devel
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc
Suggests:	gstreamer0.10-decoders

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang --with-gnome %{name}

install -d -m755 %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert data/%{name}.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert data/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert data/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/omf/%{name}
# TODO: add omf handling into find_lang.pl:
%{_datadir}/omf/%{name}/%{name}-C.omf
%lang(ca) %{_datadir}/omf/%{name}/%{name}-ca.omf
%lang(de) %{_datadir}/omf/%{name}/%{name}-de.omf
%lang(sv) %{_datadir}/omf/%{name}/%{name}-sv.omf
%lang(el) %{_datadir}/omf/%{name}/%{name}-el.omf
%lang(es) %{_datadir}/omf/%{name}/%{name}-es.omf
%lang(oc) %{_datadir}/omf/%{name}/%{name}-oc.omf
%lang(fr) %{_datadir}/omf/%{name}/%{name}-fr.omf
%lang(cs) %{_datadir}/omf/%{name}/%{name}-cs.omf
%lang(ro) %{_datadir}/omf/%{name}/%{name}-ro.omf
%lang(sl) %{_datadir}/omf/%{name}/%{name}-sl.omf
%lang(da) %{_datadir}/omf/%{name}/%{name}-da.omf


%changelog

* Wed Aug 24 2011 fwang <fwang> 1.2-1.mga2
+ Revision: 135083
- new version 1.2

  + anssi <anssi>
    - imported package gnome-subtitles

